##### 7.5.15.0. isInvertibleNcfrac

Procedure from library `ncfrac.lib` (see ncfrac_lib).

Usage:
  isInvertibleNcfrac(frac), ncfrac frac

Purpose:
  checks if frac is invertible

Return:
  int, 1 if frac is invertible, 0 otherwise

Example:

    LIB "ncfrac.lib";
    ==> // ** redefining testNcfrac (LIB "ncfrac.lib";) ./examples/isInvertibleNc\
       frac.sing:1
    ==> // ** redefining testNcloc (    LIB "ncloc.lib";) ncfrac.lib::mod_init:11\
       3
    ring R = 0,(x,y,Dx,Dy),dp;
    def S = Weyl();
    setring S;
    ncloc loc = intvec(2);
    ncfrac frac = list([y,y+1,0,0], loc);
    isInvertibleNcfrac(frac);
    ==> 1
    frac = list([y,x+1,0,0], loc);
    isInvertibleNcfrac(frac);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.